ros-rolling-stereo-image-proc (6.0.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Feb 2025 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.9-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.8-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Feb 2025 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.7-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Dec 2024 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.6-1noble) noble; urgency=high

  * stereo_image_proc: disparity_node: Add parameter to control camera_info (#1051 <https://github.com/ros-perception/image_pipeline/issues/1051>)
    Add a parameter, use_image_transport_camera_info (default:
    true), to control whether DisparityNode uses
    image_transport::getCameraInfoTopic for deriving camera_info topics.
    Default Behavior (backward compatible):
    When use_image_transport_camera_info is true, the node continues using
    image_transport::getCameraInfoTopic for camera_info resolution,
    maintaining existing functionality.
    Custom Behavior:
    When use_image_transport_camera_info is false, the node directly uses
    the camera_info topics specified via remapping (e.g., left/camera_info
    and right/camera_info), bypassing image_transport's derivation logic.
    This solution allows users to explicitly remap the camera_info topics
    for both cameras, providing flexibility for scenarios where topic names
    are not unique or need customization.
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix spelling error in topic name (#1049 <https://github.com/ros-perception/image_pipeline/issues/1049>)
  * Contributors: Michael Ferguson, quic-zhaoyuan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.5-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 29 Oct 2024 23:00:00 -0000

ros-rolling-stereo-image-proc (6.0.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 15 Oct 2024 22:00:00 -0000

ros-rolling-stereo-image-proc (6.0.3-1noble) noble; urgency=high

  * Publish using unique ptr (#1016 <https://github.com/ros-perception/image_pipeline/issues/1016>)
    Prevents doing an extra copy of the data when using intra-process
    communication.
  * Contributors: Błażej Sowa

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 22:00:00 -0000

ros-rolling-stereo-image-proc (6.0.2-1noble) noble; urgency=high

  * Removed deprecation warnings (#1010 <https://github.com/ros-perception/image_pipeline/issues/1010>)
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 22 Jul 2024 22:00:00 -0000

ros-rolling-stereo-image-proc (6.0.1-1noble) noble; urgency=high

  * Updated deprecated message filter headers (#1012 <https://github.com/ros-perception/image_pipeline/issues/1012>)
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Jul 2024 22:00:00 -0000

ros-rolling-stereo-image-proc (6.0.0-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 22:00:00 -0000

ros-rolling-stereo-image-proc (5.0.1-1noble) noble; urgency=high

  * DisparityNode: replace full_dp parameter with sgbm_mode (#945 <https://github.com/ros-perception/image_pipeline/issues/945>)
    Previously, only the SGBM and HH modes were allowed
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate stereo_image_proc docs (#928 <https://github.com/ros-perception/image_pipeline/issues/928>)
  * QoS improvements for image_proc and stereo_image_proc (#922 <https://github.com/ros-perception/image_pipeline/issues/922>)
    First part of #847 <https://github.com/ros-perception/image_pipeline/issues/847>
    * Add QoS overrides for all publishers (in the new, standard way)
    * stereo_image_proc: Default subscriber QoS to SensorDataQoS
    * Clean up some of the comments around lazy subscribers, make them more
    consistent across nodes
  * Contributors: Michael Ferguson, Pablo David Aranda Rodríguez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-rolling-stereo-image-proc (5.0.0-1noble) noble; urgency=high

  * stereo_image_proc: cleanup cmake (#904 <https://github.com/ros-perception/image_pipeline/issues/904>)
    This was supposed to be switched over when e-turtle rolled out. J-turtle
    ain't that late...
  * stereo_image_proc: consistent image_transport (#903 <https://github.com/ros-perception/image_pipeline/issues/903>)
    * make image_transport work
    * make remap work as expected with image_transport
    * make subscribers lazy
  * support rgba8 and bgra8 encodings by skipping alpha channel (#869 <https://github.com/ros-perception/image_pipeline/issues/869>)
    Related with the change in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/671/files
    ---------
  * allow use as component or node (#852 <https://github.com/ros-perception/image_pipeline/issues/852>)
    This addresses
    https://github.com/ros-perception/image_pipeline/issues/823:
    * depth_image_proc was never implemented properly this way
    * image_proc might have once worked this way, but it appears upstream
    has changed over time and it was no longer doing the job.
    * stereo_image_proc is actually implemented correctly - I just added a
    comment
    With this PR:
    ```
    $ ros2 pkg executables image_proc
    image_proc crop_decimate_node
    image_proc crop_non_zero_node
    image_proc debayer_node
    image_proc image_proc
    image_proc rectify_node
    image_proc resize_node
    ```
    ```
    $ ros2 pkg executables depth_image_proc
    depth_image_proc convert_metric_node
    depth_image_proc crop_foremost_node
    depth_image_proc disparity_node
    depth_image_proc point_cloud_xyz_node
    depth_image_proc point_cloud_xyz_radial_node
    depth_image_proc point_cloud_xyzi_node
    depth_image_proc point_cloud_xyzi_radial_node
    depth_image_proc point_cloud_xyzrgb_node
    depth_image_proc point_cloud_xyzrgb_radial_node
    depth_image_proc register_node
    ```
  * fix: change type for epsilon (#822 <https://github.com/ros-perception/image_pipeline/issues/822>)
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Daisuke Nishimatsu, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-stereo-image-proc (3.0.1-1noble) noble; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Add support for ApproximateEpsilonTime in stereo_image_proc and disparity_node
  * Forward container namespace from stereo_image_proc -> image_proc (#752 <https://github.com/ros-perception/image_pipeline/issues/752>)
  * Contributors: Brian, Ivan Santiago Paunovic, Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-rolling-stereo-image-proc (3.0.0-1noble) noble; urgency=high

  * Fix the tests for stereo_image_proc.
  * Cleanup stereo_image_proc
  * Populate CameraInfo camera matrix in test fixture
  * Use with_default_policies
  * Improve formatting
  * Use SubscriptionOptions
  * Add subscriber qos overrides
  * Remove QosPolicyKind::Invalid
  * Allow QoS overrides for publishers
  * Add missing test dependency
  * Add color param to stereo_image_proc (#661 <https://github.com/ros-perception/image_pipeline/issues/661>)
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Add disparity node parameters to launch file
  * Fix disparity node parameter name
  * Expose avoid_point_cloud_padding parameter in stereo_image_proc launch file (#599 <https://github.com/ros-perception/image_pipeline/issues/599>)
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron, Patrick Musau, Rebecca Butler

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-stereo-image-proc (2.2.1-1noble) noble; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Refactor stereo_image_proc tests (#588 <https://github.com/ros-perception/image_pipeline/issues/588>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-rolling-stereo-image-proc (2.2.0-1noble) noble; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.23-1noble) noble; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.22-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-rolling-stereo-image-proc (1.12.21-1noble) noble; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-rolling-stereo-image-proc (1.12.20-1noble) noble; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.19-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.18-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.17-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.16-1noble) noble; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-rolling-stereo-image-proc (1.12.15-1noble) noble; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-rolling-stereo-image-proc (1.12.14-1noble) noble; urgency=high

  * add StereoSGBM and it can be chosen from dynamic_reconfigure
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.13-1noble) noble; urgency=high

  * get code to compile with OpenCV3
  * modify pointcloud data format of stereo_image_proc using point_cloud2_iterator
  * Contributors: Hiroaki Yaguchi, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.12-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-rolling-stereo-image-proc (1.12.11-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.10-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.9-1noble) noble; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.8-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.6-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.4-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.3-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.2-1noble) noble; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.12.0-1noble) noble; urgency=high

  * remove PointCloud1 nodelets

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Apr 2014 22:00:00 -0000

ros-rolling-stereo-image-proc (1.11.5-1noble) noble; urgency=high

  * fix compilation on OSX (#50)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Dec 2013 13:42:55 +0100

ros-rolling-stereo-image-proc (1.11.4-1noble) noble; urgency=high

  * convert images to MONO8 when computing disparity if needed (#49)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 13:10:55 +0100


